Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1523128 (CVE-2017-15412) - CVE-2017-15412 libxml2: Use after free in xmlXPathCompOpEvalPositionalPredicate() function in xpath.c
Summary: CVE-2017-15412 libxml2: Use after free in xmlXPathCompOpEvalPositionalPredica...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15412
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1523143 1523144 1523145 1523146 1524241 1524242 1524243 1525811 1695417 1729857
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-07 09:52 UTC by Andrej Nemec
Modified: 2023-09-26 13:23 UTC (History)
17 users (show)

Fixed In Version: chromium-browser 63.0.3239.84, libxml2 2.9.6
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found in the libxml2 library. An attacker could use this flaw to cause an application linked against libxml2 to crash when parsing a specially crafted XML file.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:32:47 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3401 0 normal SHIPPED_LIVE Critical: chromium-browser security update 2017-12-08 00:30:35 UTC
Red Hat Product Errata RHSA-2018:0287 0 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2018-02-08 17:39:22 UTC
Red Hat Product Errata RHSA-2020:1190 0 None None None 2020-03-31 19:33:30 UTC

Description Andrej Nemec 2017-12-07 09:52:56 UTC
An use after free flaw was found in the libXML component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=727039

External References:

https://chromereleases.googleblog.com/2017/12/stable-channel-update-for-desktop.html

Comment 1 Andrej Nemec 2017-12-07 10:05:54 UTC
Created chromium tracking bugs for this issue:

Affects: epel-7 [bug 1523143]
Affects: fedora-all [bug 1523145]

Comment 3 errata-xmlrpc 2017-12-07 19:31:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:3401 https://access.redhat.com/errata/RHSA-2017:3401

Comment 5 Huzaifa S. Sidhpurwala 2017-12-11 03:24:00 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1524242]


Created mingw-libxml2 tracking bugs for this issue:

Affects: epel-7 [bug 1524241]
Affects: fedora-all [bug 1524243]

Comment 8 errata-xmlrpc 2018-02-08 12:39:29 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2018:0287 https://access.redhat.com/errata/RHSA-2018:0287

Comment 11 errata-xmlrpc 2020-03-31 19:33:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1190 https://access.redhat.com/errata/RHSA-2020:1190


Note You need to log in before you can comment on or make changes to this bug.